summaryrefslogtreecommitdiffstats
path: root/jjb/apex/apex-fetch-logs.sh
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2018-04-05 10:45:25 -0400
committerTim Rozet <trozet@redhat.com>2018-04-05 10:54:37 -0400
commit56be321004d4c8d5754ce57003083d2f9faf0ccb (patch)
tree31036b1d961900383d706d61a94acc1b3d7eb2ba /jjb/apex/apex-fetch-logs.sh
parentf1c7159f44e46a17bb8278be1831a2ab6206572f (diff)
Apex: Enable overcloud log collection
With this commit: https://gerrit.opnfv.org/gerrit/#/c/47875/ We can now gather logs from after at the end of a deploy/test job and upload them to artifacts. This patch enables that behavior on verify and daily jobs. Change-Id: If7af4cf1363e4bbcee78d98850af7c0e20250f3f Signed-off-by: Tim Rozet <trozet@redhat.com>
Diffstat (limited to 'jjb/apex/apex-fetch-logs.sh')
-rwxr-xr-xjjb/apex/apex-fetch-logs.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/jjb/apex/apex-fetch-logs.sh b/jjb/apex/apex-fetch-logs.sh
new file mode 100755
index 000000000..f25f456b1
--- /dev/null
+++ b/jjb/apex/apex-fetch-logs.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# log info to console
+echo "Fetching logs from overcloud. This could take some time..."
+echo "--------------------------------------------------------"
+echo
+
+if sudo opnfv-pyutil --fetch-logs; then
+ LOG_LOCATION=$(cat apex_util.log | grep 'Log retrieval complete' | grep -Eo '/tmp/.+$')
+ if [ -z "$LOG_LOCATION" ]; then
+ echo "WARNING: Unable to determine log location. Logs will not be uploaded"
+ exit 0
+ else
+ UPLOAD_LOCATION="${GS_URL}/logs/${JOB_NAME}/${BUILD_NUMBER}/"
+ gsutil cp -r ${LOG_LOCATION} gs://${UPLOAD_LOCATION} > gsutil.latest_logs.log
+ echo "Logs available at https://${UPLOAD_LOCATION}/$(basename $LOG_LOCATION)"
+ fi
+else
+ echo "WARNING: Log retrieval failed. No logs will be uploaded"
+ exit 0
+fi